Name: xmlindent
Version: 0.2.17
Release: 14%{?dist}
Summary: XML stream reformatter
Group: Applications/Text
License: GPLv2+
URL: http://xmlindent.sf.net/
Source0: http://downloads.sourceforge.net/xmlindent/xmlindent-0.2.17.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: flex flex-static

%description
XML Indent is a XML stream reformatter written in ANSI C.
It is analogous to GNU indent.

%prep
%setup -q

sed -i -e "s,-Wall,-Wall \$(CFLAGS),g" -e "s,555,755," -e "s,444,644," Makefile

%build
CFLAGS=$RPM_OPT_FLAGS make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog BUGS README LICENSE
%{_bindir}/xmlindent
%{_mandir}/man1/xmlindent.1*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 09 2010 Adrian Reber <adrian@lisas.de> - 0.2.17-12
- BR flex-static for "FTBFS xmlindent-0.2.17-11.fc12" (#660866)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 16 2008 Adrian Reber <adrian@lisas.de> - 0.2.17-9
- rebuilt for gcc43

* Thu Oct 11 2007 Adrian Reber <adrian@lisas.de> - 0.2.17-8
- rebuilt for BuildID
- updated license tag
- fixed sourceforge URL

* Tue Sep 12 2006 Adrian Reber <adrian@lisas.de> - 0.2.17-7
- rebuilt

* Tue Feb 21 2006 Adrian Reber <adrian@lisas.de> - 0.2.17-6
- rebuilt

* Wed Jun 08 2005 Adrian Reber <adrian@lisas.de> - 0.2.17-5
- rebuilt

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.2.17-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Dec 07 2004 Adrian Reber <adrian@lisas.de> - 0:0.2.17-2
- applied patch from Ville Skyttä (bug #2078)

* Fri Sep 17 2004 Adrian Reber <adrian@lisas.de> - 0:0.2.17-0.fdr.1
- Initial RPM release.
